Package org.eclipse.jgit.api

## Enum CheckoutCommand.Stage

- java.lang.Object
- - java.lang.Enum<CheckoutCommand.Stage>
  - - org.eclipse.jgit.api.CheckoutCommand.Stage

All Implemented Interfaces:
  `Serializable`, `Comparable<CheckoutCommand.Stage>`

Enclosing class:
  CheckoutCommand

    public static enum CheckoutCommand.Stage
    extends Enum<CheckoutCommand.Stage>

Stage to check out, see `CheckoutCommand.setStage(Stage)`.

### Enum Constant Summary

Enum Constants
`BASE` Base stage (#1)
`OURS` Ours stage (#2)
`THEIRS` Theirs stage (#3)

### Method Summary

All Methods Static Methods Concrete Methods
`static CheckoutCommand.Stage` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static CheckoutCommand.Stage[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BASE

    public static final CheckoutCommand.Stage BASE

Base stage (#1)

#### OURS

    public static final CheckoutCommand.Stage OURS

Ours stage (#2)

#### THEIRS

    public static final CheckoutCommand.Stage THEIRS

Theirs stage (#3)

### Method Detail

#### values

    public static CheckoutCommand.Stage[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CheckoutCommand.Stage c : CheckoutCommand.Stage.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CheckoutCommand.Stage valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null